/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.data.types;

/**
 * An enumeration of all possible {@link BannerPatternShape}s in vanilla minecraft.
 */
public final class BannerPatternShapes {

    public static final BannerPatternShape BASE = null;
    public static final BannerPatternShape SQUARE_BOTTOM_LEFT = null;
    public static final BannerPatternShape SQUARE_BOTTOM_RIGHT = null;
    public static final BannerPatternShape SQUARE_TOP_LEFT = null;
    public static final BannerPatternShape SQUARE_TOP_RIGHT = null;
    public static final BannerPatternShape STRIPE_BOTTOM = null;
    public static final BannerPatternShape STRIPE_TOP = null;
    public static final BannerPatternShape STRIPE_LEFT = null;
    public static final BannerPatternShape STRIPE_RIGHT = null;
    public static final BannerPatternShape STRIPE_CENTER = null;
    public static final BannerPatternShape STRIPE_MIDDLE = null;
    public static final BannerPatternShape STRIPE_DOWNRIGHT = null;
    public static final BannerPatternShape STRIPE_DOWNLEFT = null;
    public static final BannerPatternShape STRIPE_SMALL = null;
    public static final BannerPatternShape CROSS = null;
    public static final BannerPatternShape STRAIGHT_CROSS = null;
    public static final BannerPatternShape TRIANGLE_BOTTOM = null;
    public static final BannerPatternShape TRIANGLE_TOP = null;
    public static final BannerPatternShape TRIANGLES_BOTTOM = null;
    public static final BannerPatternShape TRIANGLES_TOP = null;
    public static final BannerPatternShape DIAGONAL_LEFT = null;
    public static final BannerPatternShape DIAGONAL_RIGHT = null;
    public static final BannerPatternShape DIAGONAL_LEFT_MIRROR = null;
    public static final BannerPatternShape DIAGONAL_RIGHT_MIRROR = null;
    public static final BannerPatternShape CIRCLE_MIDDLE = null;
    public static final BannerPatternShape RHOMBUS_MIDDLE = null;
    public static final BannerPatternShape HALF_VERTICAL = null;
    public static final BannerPatternShape HALF_HORIZONTAL = null;
    public static final BannerPatternShape HALF_VERTICAL_MIRROR = null;
    public static final BannerPatternShape HALF_HORIZONTAL_MIRROR = null;
    public static final BannerPatternShape BORDER = null;
    public static final BannerPatternShape CURLY_BORDER = null;
    public static final BannerPatternShape CREEPER = null;
    public static final BannerPatternShape GRADIENT = null;
    public static final BannerPatternShape GRADIENT_UP = null;
    public static final BannerPatternShape BRICKS = null;
    public static final BannerPatternShape SKULL = null;
    public static final BannerPatternShape FLOWER = null;
    public static final BannerPatternShape MOJANG = null;

    private BannerPatternShapes() {
    }
}
